function readZern2, file
;+
; PURPOSE: function that reads in the WFS info from vision activity
;
; INPUT: filename of the text file containing the zernike coefficients
; from the WFS.
;
; OUTPUT: returns a 12 element array of the coefficients
;
; HISTORY: 2007-07-30 - T. Do
;-

;; test to see if file exists before beginning
if file_test(file) then begin
    OPENR, unit, file, /get_lun
    var = ''  ;; initialize variable
    
    READF, unit, var
    while strpos(var, 'Z[1,1]') eq -1 do begin
       ;; keep going until it reaches the zernikes
       readf, unit, var
    endwhile

    coeff = dblarr(12)

    go = 1
    while go do begin
       READF, unit, var
       if var ne '' then begin
          print, var
          if strpos(var, 'Z[2,0]') ge 0 then ind = 0
          if strpos(var, 'Z[2,-2]') ge 0 then ind = 1
          if strpos(var, 'Z[2,2]') ge 0 then ind = 2
          if strpos(var, 'Z[3,-1]') ge 0 then ind = 3
          if strpos(var, 'Z[3,1]') ge 0 then ind = 4
          if strpos(var, 'Z[3,-3]') ge 0 then ind = 5
          if strpos(var, 'Z[3,3]') ge 0 then ind = 6
          if strpos(var, 'Z[4,0]') ge 0 then ind = 7
          if strpos(var, 'Z[4,2]') ge 0 then ind = 8
          if strpos(var, 'Z[4,-2]') ge 0 then ind = 9
          if strpos(var, 'Z[4,-4]') ge 0 then ind = 10
          if strpos(var, 'Z[4,4]') ge 0 then begin
             ind = 11
             go = 0
          endif
          
          ;; extract the number and fill coeff array
          num = strsplit(var, ' ', /extract)
          val = num(n_elements(num) -1)
          val = float(strmid(val, 0, strlen(val) -1))
          coeff[ind] = val

       endif
    endwhile

    close, unit
    return, coeff
endif else print, 'file not found: ', file
end
